org.jboss.jca.as.converters

## Interface XaDataSource

- All Superinterfaces:
    CommonXa, ConnectionFactory, DataSource
  All Known Implementing Classes:
    LegacyXaDataSourceImp

      public interface XaDataSource
      extends DataSource, CommonXa

  A XaDataSource.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `XaDataSource.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getXaDataSourceClass()` Get the xaDataSourceClass.
    `java.util.Map<java.lang.String,java.lang.String>` | `getXaDataSourceProperty()` Get the xaDataSourceProperty.
    `java.lang.Boolean` | `isInterleaving()` Get the interleaving.
    `java.lang.Boolean` | `isPadXid()` Get the padXid.
    `java.lang.Boolean` | `isSameRmOverride()` Get the isSameRmOverride.
    `java.lang.Boolean` | `isWrapXaResource()` Get the wrapXaResource.

    - ### Methods inherited from interface org.jboss.jca.as.converters.DataSource

      `getCheckValidConnectionSql, getExceptionSorter, getNewConnectionSql, getPassword, getPreparedStatementsCacheSize, getQueryTimeout, getStaleConnectionChecker, getTrackStatements, getUrlDelimiter, getUrlSelectorStrategyClassName, getUserName, getUseTryLock, getValidConnectionChecker, isSetTxQueryTimeout, isSharePreparedStatements, isUseJavaContext, isValidateOnMatch`

    - ### Methods inherited from interface org.jboss.jca.as.converters.ConnectionFactory

      `getAllocationRetry, getAllocationRetryWaitMillis, getBackgroundValidationMillis, getBlockingTimeoutMillis, getIdleTimeoutMinutes, getJndiName, getMaxPoolSize, getMinPoolSize, getSecurityDomain, isBackgroundValidation, isPrefill, isUseFastFail`

    - ### Methods inherited from interface org.jboss.jca.as.converters.CommonXa

      `getXaResourceTimeout, isNoTxSeparatePools, isTrackConnectionByTx`

- - ### Method Detail

    - #### getXaDataSourceClass

          java.lang.String getXaDataSourceClass()

      Get the xaDataSourceClass.
      Returns:
        the xaDataSourceClass.

    - #### getXaDataSourceProperty

          java.util.Map<java.lang.String,java.lang.String> getXaDataSourceProperty()

      Get the xaDataSourceProperty.
      Returns:
        the xaDataSourceProperty.

    - #### isSameRmOverride

          java.lang.Boolean isSameRmOverride()

      Get the isSameRmOverride.
      Returns:
        the isSameRmOverride.

    - #### isInterleaving

          java.lang.Boolean isInterleaving()

      Get the interleaving.
      Returns:
        the interleaving.

    - #### isPadXid

          java.lang.Boolean isPadXid()

      Get the padXid.
      Returns:
        the padXid.

    - #### isWrapXaResource

          java.lang.Boolean isWrapXaResource()

      Get the wrapXaResource.
      Returns:
        the wrapXaResource.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)